import 'package:gmalpha_flutter/questionModel/service/local/QuestionLocal.dart';
import 'package:gmalpha_flutter/questionModel/service/remote/QuestionRemote.dart';
import 'package:gmalpha_flutter/questionModel/service/remote/api/QuestionApi.serv.dart';
import 'package:gmalpha_flutter/questionModel/service/remote/entity/QuestionEntity.dart';
import 'package:rxdart/rxdart.dart';

class QuestionRepository {
  static QuestionRepository _instance;

  QuestionRemote _remote;
  QuestionLocal _local;

  QuestionRepository._() {
    _remote = QuestionRemote.getInstance();
    _local = QuestionLocal.getInstance();
  }

  static QuestionRepository getInstance() {
    if (_instance == null) {
      _instance = QuestionRepository._();
    }
    return _instance;
  }

  Map<int,List<String>> restore={};

  Observable<QuestionEntity> getQuestion(String id) {
    return _remote.getQuestion(id).map((value) {
      if (value != null) {
        _local.saveQuestionResult(value);

      }
      return value;
    });
  }
}
