class QuestionEntity {
  int error;
  String message;
  Null extra;
  Data data;

  QuestionEntity({this.error, this.message, this.extra, this.data});

  QuestionEntity.fromJson(Map<String, dynamic> json) {
    error = json['error'];
    message = json['message'];
    extra = json['extra'];
    data = json['data'] != null ? new Data.fromJson(json['data']) : null;
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['error'] = this.error;
    data['message'] = this.message;
    data['extra'] = this.extra;
    if (this.data != null) {
      data['data'] = this.data.toJson();
    }
    return data;
  }
}

class Data {
  int id;
  String name;
  List<Questions> questions;

  Data({this.id, this.name, this.questions});

  Data.fromJson(Map<String, dynamic> json) {
    id = json['id'];
    name = json['name'];
    if (json['questions'] != null) {
      questions = new List<Questions>();
      json['questions'].forEach((v) {
        questions.add(new Questions.fromJson(v));
      });
    }
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['id'] = this.id;
    data['name'] = this.name;
    if (this.questions != null) {
      data['questions'] = this.questions.map((v) => v.toJson()).toList();
    }
    return data;
  }
}

class Questions {
  int id;
  String content;
  String image;
  String questionType;
  int relatedId1;
  List<Answers> answers;

  Questions(
      {this.id,
        this.content,
        this.image,
        this.questionType,
        this.relatedId1,
        this.answers});

  Questions.fromJson(Map<String, dynamic> json) {
    id = json['id'];
    content = json['content'];
    image = json['image'];
    questionType = json['question_type'];
    relatedId1 = json['related_id_1'];
    if (json['answers'] != null) {
      answers = new List<Answers>();
      json['answers'].forEach((v) {
        answers.add(new Answers.fromJson(v));
      });
    }
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['id'] = this.id;
    data['content'] = this.content;
    data['image'] = this.image;
    data['question_type'] = this.questionType;
    data['related_id_1'] = this.relatedId1;
    if (this.answers != null) {
      data['answers'] = this.answers.map((v) => v.toJson()).toList();
    }
    return data;
  }
}

class Answers {
  int id;
  String content;
  String image;
  List<HotTags> hotTags;
  List<ExpertTags> expertTags;
  int experience;
  int relatedId1;
  int relatedId2;

  Answers(
      {this.id,
        this.content,
        this.image,
        this.hotTags,
        this.expertTags,
        this.experience,
        this.relatedId1,
        this.relatedId2});

  Answers.fromJson(Map<String, dynamic> json) {
    id = json['id'];
    content = json['content'];
    image = json['image'];
    if (json['hot_tags'] != null) {
      hotTags = new List<HotTags>();
      json['hot_tags'].forEach((v) {
        hotTags.add(new HotTags.fromJson(v));
      });
    }
    if (json['expert_tags'] != null) {
      expertTags = new List<ExpertTags>();
      json['expert_tags'].forEach((v) {
        expertTags.add(new ExpertTags.fromJson(v));
      });
    }
    experience = json['experience'];
    relatedId1 = json['related_id_1'];
    relatedId2 = json['related_id_2'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['id'] = this.id;
    data['content'] = this.content;
    data['image'] = this.image;
    if (this.hotTags != null) {
      data['hot_tags'] = this.hotTags.map((v) => v.toJson()).toList();
    }
    if (this.expertTags != null) {
      data['expert_tags'] = this.expertTags.map((v) => v.toJson()).toList();
    }
    data['experience'] = this.experience;
    data['related_id_1'] = this.relatedId1;
    data['related_id_2'] = this.relatedId2;
    return data;
  }
}

class HotTags {
  int id;
  String name;

  HotTags({this.id, this.name});

  HotTags.fromJson(Map<String, dynamic> json) {
    id = json['id'];
    name = json['name'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['id'] = this.id;
    data['name'] = this.name;
    return data;
  }
}


class ExpertTags {
  int id;
  String name;

  ExpertTags({this.id, this.name});

  ExpertTags.fromJson(Map<String, dynamic> json) {
    id = json['id'];
    name = json['name'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['id'] = this.id;
    data['name'] = this.name;
    return data;
  }
}
